### Virtual Method

# GtkSource CompletionProvider activate

#### Declaration [src]

    void
    activate (
      GtkSourceCompletionProvider* self,
      GtkSourceCompletionContext* context,
      GtkSourceCompletionProposal* proposal
    )

#### Description [src]

This function requests `proposal` to be activated by the `GtkSourceCompletionProvider`.

What the provider does to activate the proposal is specific to that provider. Many providers may choose to insert a `GtkSourceSnippet` with edit points the user may cycle through.

See also: `GtkSourceSnippet`, `GtkSourceSnippetChunk`, `gtk_source_view_push_snippet()`.

#### Parameters

`context`

  Type: `GtkSourceCompletionContext`

  A `GtkSourceCompletionContext`.

  The data is owned by the caller of the method.

`proposal`

  Type: `GtkSourceCompletionProposal`

  A `GtkSourceCompletionProposal`.

  The data is owned by the caller of the method.